FreeMat

- Main Page
- Related Pages

vtkInteractorStyleTrackball

Section: Visualization Toolkit Rendering Classes

# Usage

vtkInteractorStyleTrackball is an implementation of vtkInteractorStyle that defines the trackball style. It is now deprecated and as such a subclass of vtkInteractorStyleSwitch

To create an instance of class vtkInteractorStyleTrackball, simply invoke its constructor as follows

      obj = vtkInteractorStyleTrackball

# Methods

The class vtkInteractorStyleTrackball has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInteractorStyleTrackball class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInteractorStyleTrackball = obj.NewInstance ()`
- `vtkInteractorStyleTrackball = obj.SafeDownCast (vtkObject o)`